<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZCustomCustomEditViewBase from './ibizcustom-custom-edit-view-base.vue';

import view_usr1109034916form from '@widgets/ibizcustom/main-form/main-form.vue';
@Component({
    components: {
        view_usr1109034916form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZCustomCustomEditView extends IBIZCustomCustomEditViewBase {

}
</script>